# BEGIN SourceDeps(oneline):
BuildRequires: perl(CBOR/XS.pm) perl(ExtUtils/MakeMaker.pm) perl(File/FindLib.pm) perl(Mojo/Base.pm) perl(Mojolicious.pm) perl(Mojolicious/Lite.pm) perl(Test/Mojo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Mojolicious-Plugin-CBOR
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: render a CBOR response with Mojolicious
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DS/DSHADOW/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::CBOR manpage is a the Mojolicious manpage plugin that packs any data you send to the 'cbor' parameter with the CBOR::XS manpage and renders it.

The "Content-Type" header sent in the response will be set to "application/cbor; charset=UTF-8".
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE
%perl_vendor_privlib/M*

%changelog
* Mon Dec 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

